unit About;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Buttons, Registry;

type
  TMRegistry=class(TRegIniFile)
  public
    constructor Create(Key:HKEY;const FileName:string);
  end;
  TAboutBox = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    Panel2: TPanel;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    Label5: TLabel;
    Image1: TImage;
    Panel3: TPanel;
    Label8: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure Label6MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label7MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;
  Rejestr:TMRegistry;

implementation

{$R *.DFM}

constructor TMRegistry.Create(Key:HKEY;const FileName:string);
begin
  inherited RootKey:=Key;
  inherited LazyWrite:=True;
  inherited OpenKey(FileName,True);
end;

procedure TAboutBox.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TAboutBox.Label6MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var s:string;
    p:array[0..250] of char;
begin
  Rejestr:=TMRegistry.Create(HKEY_CLASSES_ROOT,'htmlfile\shell\open');
  With Rejestr do
  begin
    s:=ReadString('command','','');
  end;
  if s<>'' then
  begin
    s:=s+' http://marcin-wiacek.topnet.pl';
    StrPCopy(p,s);
    WinExec(p,SW_SHOW);
  end;
  Rejestr.Free;
end;

procedure TAboutBox.Label7MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var s,s2:string;
    p:array[0..250] of char;
    a:integer;
begin
  Rejestr:=TMRegistry.Create(HKEY_LOCAL_MACHINE,'SOFTWARE\Clients');
  With Rejestr do
  begin
    s:=ReadString('Mail','','');
  end;
  Rejestr.Free;
  if s<>'' then
  begin
    Rejestr:=TMRegistry.Create(HKEY_LOCAL_MACHINE,'SOFTWARE\Clients\Mail\'+s+'\Protocols\mailto\shell\open');
    With Rejestr do
    begin
      s2:=ReadString('command','','');
    end;
    Rejestr.Free;
    if s2<>'' then
    begin
      s:='';
      a:=1;
      repeat
        if s2[a]<>'%' then s:=s+s2[a] else
        begin
          if (a+1<=length(s2)) and (s2[a+1]='1') then
          begin
            s:=s+'mailto:Marcin-Wiacek@TopNet.PL';
            inc(a);
          end else s:=s+s2[a];
        end;
        inc(a);
      until a>length(s2);
      StrPCopy(p,s);
      WinExec(p,SW_SHOW);
    end;
  end;
end;

procedure TAboutBox.BitBtn2Click(Sender: TObject);
var s:string;
    p:array[0..250] of char;
begin
  Rejestr:=TMRegistry.Create(HKEY_LOCAL_MACHINE,'Software\Microsoft\Shared Tools');
  With Rejestr do
  begin
    s:=ReadString('MSInfo','Path','');
  end;
  Rejestr.Free;
  StrPCopy(p,s);
  WinExec(p,SW_SHOW);
  ModalResult:=mrNone;
end;

procedure TAboutBox.FormActivate(Sender: TObject);
var s:string;
begin
  Rejestr:=TMRegistry.Create(HKEY_LOCAL_MACHINE,'Software\Microsoft\Shared Tools');
  With Rejestr do
  begin
    if ReadString('MSInfo','Path','')='' then BitBtn2.Enabled:=False;
  end;
  Rejestr.Free;
end;

end.
