unit Opcje;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls, Tabs,
  Buttons, ExtCtrls, Dialogs;

type
  TMultiPageDlg = class(TForm)
    ButtonPanel: TPanel;
    TabSet: TTabSet;
    Notebook: TNotebook;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    NotebookX: TNotebook;
    XTabSet: TTabSet;
    Panel4: TPanel;
    XY1RadioGroup: TRadioGroup;
    GroupBox4: TGroupBox;
    XY2RadioGroup: TRadioGroup;
    NotebookY: TNotebook;
    YTabSet: TTabSet;
    Panel5: TPanel;
    Panel6: TPanel;
    BitBtn3: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    GroupBox5: TGroupBox;
    XCheckBox: TCheckBox;
    YCheckBox: TCheckBox;
    XYCheckBox: TCheckBox;
    OkresCheckBox: TCheckBox;
    GroupBox6: TGroupBox;
    Panel7: TPanel;
    Panel8: TPanel;
    DrawBtn: TBitBtn;
    OsieCheckBox: TCheckBox;
    JednostkiCheckBox: TCheckBox;
    ColorDialog: TColorDialog;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    BitBtn9: TBitBtn;
    BitBtn10: TBitBtn;
    BitBtn11: TBitBtn;
    Label10: TLabel;
    A1Edit: TEdit;
    Label11: TLabel;
    W1Edit: TEdit;
    Label12: TLabel;
    FI1Edit: TEdit;
    Label13: TLabel;
    PI1Edit: TEdit;
    Label14: TLabel;
    Label15: TLabel;
    A2Edit: TEdit;
    Label16: TLabel;
    W2Edit: TEdit;
    Label17: TLabel;
    FI2Edit: TEdit;
    Label18: TLabel;
    PI2Edit: TEdit;
    Label19: TLabel;
    AutomatCheckBox: TCheckBox;
    NumerLabel: TLabel;
    Kolor1Panel: TPanel;
    DokladneCheckBox: TCheckBox;
    Kolor2Panel: TPanel;
    Kolor3Panel: TPanel;
    Kolor4Panel: TPanel;
    Kolor5Panel: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure TabSetClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
    procedure BitBtn9Click(Sender: TObject);
    procedure BitBtn11Click(Sender: TObject);
    procedure BitBtn10Click(Sender: TObject);
    procedure DrawBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Kolor1PanelClick(Sender: TObject);
    procedure Kolor1PanelEnter(Sender: TObject);
    procedure Kolor1PanelExit(Sender: TObject);
    procedure Kolor1PanelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor1PanelMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor2PanelClick(Sender: TObject);
    procedure Kolor2PanelEnter(Sender: TObject);
    procedure Kolor2PanelExit(Sender: TObject);
    procedure Kolor2PanelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor2PanelMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor5PanelClick(Sender: TObject);
    procedure Kolor3PanelEnter(Sender: TObject);
    procedure Kolor4PanelEnter(Sender: TObject);
    procedure Kolor5PanelEnter(Sender: TObject);
    procedure Kolor5PanelExit(Sender: TObject);
    procedure Kolor4PanelExit(Sender: TObject);
    procedure Kolor3PanelExit(Sender: TObject);
    procedure Kolor3PanelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor4PanelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor5PanelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor5PanelMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor4PanelMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Kolor3PanelMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
    function Real2Str(r:extended):string;
    function Str2Real(s:string):extended;
  end;

var
  MultiPageDlg: TMultiPageDlg;

implementation

{$R *.DFM}

uses Main, ChildWin;

procedure TMultiPageDlg.FormCreate(Sender: TObject);
begin
  { make the number of Tabs = number of Pages,
    and have the same names }
  TabSet.Tabs:=Notebook.Pages;
end;

procedure TMultiPageDlg.TabSetClick(Sender: TObject);
begin
  { set visible Page to which Tab was clicked }
  Notebook.PageIndex := TabSet.TabIndex;
end;

procedure TMultiPageDlg.OKBtnClick(Sender: TObject);
begin
  TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).onExit(nil);
  MainForm.RysujWykres;
  Close;
end;

function TMultiPageDlg.Real2Str(r:extended):string;
var s:string;
begin
  str(r:0:2,s);
  if copy(s,length(s)-2,3)='.00' then s:=copy(s,1,length(s)-3);
  Real2Str:=s;
end;

function TMultiPageDlg.str2real(s:string):extended;
var r:extended;
    a:integer;
begin
  val(s,r,a);
  str2real:=r;
end;

procedure TMultiPageDlg.BitBtn3Click(Sender: TObject);
begin
  A2Edit.Text:=A1Edit.Text;
  PI1Edit.Text:='0.5';
  PI2Edit.Text:='0';
  if DokladneCheckBox.Checked then
  begin
    W1Edit.Text:='1';
    W2Edit.Text:='2';
  end else
  begin
    W2Edit.Text:=Real2Str(2*Str2Real(W1Edit.Text));
  end;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.BitBtn7Click(Sender: TObject);
begin
  A2Edit.Text:=A1Edit.Text;
  PI1Edit.Text:='0.5';
  PI2Edit.Text:='0';
  if DokladneCheckBox.Checked then
  begin
    W1Edit.Text:='1';
    W2Edit.Text:='3';
  end else
  begin
    W2Edit.Text:=Real2Str(3*Str2Real(W1Edit.Text));
  end;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.BitBtn8Click(Sender: TObject);
begin
  A2Edit.Text:=A1Edit.Text;
  PI1Edit.Text:='0.33';
  PI2Edit.Text:='0';
  if DokladneCheckBox.Checked then
  begin
    W1Edit.Text:='2';
    W2Edit.Text:='3';
  end else
  begin
    W2Edit.Text:=Real2Str(3*Str2Real(W1Edit.Text));
    W1Edit.Text:=Real2Str(2*Str2Real(W1Edit.Text));
  end;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.BitBtn9Click(Sender: TObject);
begin
  if DokladneCheckBox.Checked then
  begin
    A1Edit.Text:='1';
    A2Edit.Text:='2';
  end else
  begin
    A2Edit.Text:=Real2Str(2*Str2Real(A1Edit.Text));
  end;
  PI1Edit.Text:='0.5';
  PI2Edit.Text:='0';
  W2Edit.Text:=W1Edit.Text;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.BitBtn11Click(Sender: TObject);
begin
  A2Edit.Text:=A1Edit.Text;
  PI1Edit.Text:='0.5';
  PI2Edit.Text:='0';
  W2Edit.Text:=W1Edit.Text;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.BitBtn10Click(Sender: TObject);
begin
  A2Edit.Text:=A1Edit.Text;
  PI1Edit.Text:='0.25';
  PI2Edit.Text:='0';
  W2Edit.Text:=W1Edit.Text;
  XY1RadioGroup.ItemIndex:=1;
  XY2RadioGroup.ItemIndex:=0;
  if AutomatCheckBox.Checked then DrawBtnClick(nil);
end;

procedure TMultiPageDlg.DrawBtnClick(Sender: TObject);
begin
  MainForm.RysujWykres;
end;

procedure TMultiPageDlg.CancelBtnClick(Sender: TObject);
begin
  TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnEnter(nil);
  MainForm.RysujWykres;
  Close;
end;

procedure TMultiPageDlg.FormActivate(Sender: TObject);
begin
  if MainForm.ActiveMDIChild.Caption<>'Wykres numer '+NumerLabel.Caption then
  begin
    repeat
      MainForm.Next;
    until MainForm.ActiveMDIChild.Caption='Wykres numer '+NumerLabel.Caption;
  end;
  MultiPageDlg.SetFocus;
end;

procedure TMultiPageDlg.Kolor1PanelClick(Sender: TObject);
begin
  if ColorDialog.Execute then
  begin
    Kolor3Panel.Font.Color:=ColorDialog.Color;
    Kolor1Panel.Font.Color:=ColorDialog.Color;
  end;
end;

procedure TMultiPageDlg.Kolor1PanelEnter(Sender: TObject);
begin
  Kolor1Panel.Font.Style:=Kolor1Panel.Font.Style+[fsBold];
end;

procedure TMultiPageDlg.Kolor1PanelExit(Sender: TObject);
begin
  Kolor1Panel.Font.Style:=Kolor1Panel.Font.Style-[fsBold];
end;

procedure TMultiPageDlg.Kolor1PanelMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor1Panel.BevelInner:=bvLowered;
end;

procedure TMultiPageDlg.Kolor1PanelMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor1Panel.BevelInner:=bvRaised;
end;

procedure TMultiPageDlg.Kolor2PanelClick(Sender: TObject);
begin
  if ColorDialog.Execute then
  begin
    Kolor4Panel.Font.Color:=ColorDialog.Color;
    Kolor2Panel.Font.Color:=ColorDialog.Color;
  end;
end;

procedure TMultiPageDlg.Kolor2PanelEnter(Sender: TObject);
begin
  Kolor2Panel.Font.Style:=Kolor2Panel.Font.Style+[fsBold];
end;

procedure TMultiPageDlg.Kolor2PanelExit(Sender: TObject);
begin
  Kolor2Panel.Font.Style:=Kolor2Panel.Font.Style-[fsBold];
end;

procedure TMultiPageDlg.Kolor2PanelMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor2Panel.BevelInner:=bvLowered;
end;

procedure TMultiPageDlg.Kolor2PanelMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor2Panel.BevelInner:=bvRaised;
end;

procedure TMultiPageDlg.Kolor5PanelClick(Sender: TObject);
begin
  if ColorDialog.Execute then
  begin
    Kolor5Panel.Font.Color:=ColorDialog.Color;
  end;
end;

procedure TMultiPageDlg.Kolor3PanelEnter(Sender: TObject);
begin
  Kolor3Panel.Font.Style:=Kolor3Panel.Font.Style+[fsBold];
end;

procedure TMultiPageDlg.Kolor4PanelEnter(Sender: TObject);
begin
  Kolor4Panel.Font.Style:=Kolor4Panel.Font.Style+[fsBold];
end;

procedure TMultiPageDlg.Kolor5PanelEnter(Sender: TObject);
begin
  Kolor5Panel.Font.Style:=Kolor5Panel.Font.Style+[fsBold];
end;

procedure TMultiPageDlg.Kolor5PanelExit(Sender: TObject);
begin
  Kolor5Panel.Font.Style:=Kolor5Panel.Font.Style-[fsBold];
end;

procedure TMultiPageDlg.Kolor4PanelExit(Sender: TObject);
begin
  Kolor4Panel.Font.Style:=Kolor4Panel.Font.Style-[fsBold];
end;

procedure TMultiPageDlg.Kolor3PanelExit(Sender: TObject);
begin
  Kolor3Panel.Font.Style:=Kolor3Panel.Font.Style-[fsBold];
end;

procedure TMultiPageDlg.Kolor3PanelMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor3Panel.BevelInner:=bvLowered;
end;

procedure TMultiPageDlg.Kolor4PanelMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor4Panel.BevelInner:=bvLowered;
end;

procedure TMultiPageDlg.Kolor5PanelMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor5Panel.BevelInner:=bvLowered;
end;

procedure TMultiPageDlg.Kolor5PanelMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor5Panel.BevelInner:=bvRaised;
end;

procedure TMultiPageDlg.Kolor4PanelMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor4Panel.BevelInner:=bvRaised;
end;

procedure TMultiPageDlg.Kolor3PanelMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Kolor3Panel.BevelInner:=bvRaised;
end;

end.
